from django.contrib.auth.models import AbstractUser
from django.db import models


class CustomUser(AbstractUser):
    EMAIL_FIELD = "username"

    username = models.EmailField(
        "Email",
        unique=True,
        error_messages={
            "unique": "Un·e utilisateur·ice avec cette adresse mail existe déjà.",
        },
    )

    def __str__(self):
        return self.get_full_name()
